/*
 * Copyright 2012-2015, the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.trpr.platform.servicefw.impl.event;

import org.trpr.platform.core.impl.event.AbstractEndpointEventConsumerImpl;
import org.trpr.platform.servicefw.spi.event.ServiceEventConsumer;

/**
 * The <code>AbstractServiceEventConsumerImpl</code> is a sub-type of {@link AbstractEndpointEventConsumerImpl} used to consume
 * service based PlatformEvent types - Service Events, Alerts, Notifications etc.
 * 
 * @author Regunath B
 * @version 1.0, 17/08/2012
 */

public abstract class AbstractServiceEventConsumerImpl extends AbstractEndpointEventConsumerImpl implements ServiceEventConsumer {
}
